Package com.io7m.jregions.core.unparameterized.areas

# Interface AreaValuesBDType

All Superinterfaces:
  `AreaSizeValuesBDType`

All Known Subinterfaces:
  `AreaBDType`, `PAreaBDType<S>`

All Known Implementing Classes:
  `AreaBD`, `PAreaBD`

    public interface AreaValuesBDType
    extends AreaSizeValuesBDType

An area with `BigDecimal` coordinates.

The coordinates of the area are given in half-closed form. That is, `minimumX()` refers to the minimum inclusive value on the X axis, and `maximumX()` refers to the maximum exclusive value on the X axis. Likewise for the Y axis.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.math.BigDecimal` | `maximumX()` |
  `java.math.BigDecimal` | `maximumY()` |
  `java.math.BigDecimal` | `minimumX()` |
  `java.math.BigDecimal` | `minimumY()` |
  `default java.math.BigDecimal` | `sizeX()` |
  `default java.math.BigDecimal` | `sizeY()` |

  ### Methods inherited from interface com.io7m.jregions.core.unparameterized.sizes.AreaSizeValuesBDType

  `height, width`

- ## Method Details

  - ### minimumX

    @Parameter(order=0) java.math.BigDecimal minimumX()
    Returns:
      The value on the X axis of the minimum edge of the box (inclusive)

  - ### maximumX

    @Parameter(order=1) java.math.BigDecimal maximumX()
    Returns:
      The value on the X axis of the maximum edge of the box (exclusive)

  - ### minimumY

    @Parameter(order=2) java.math.BigDecimal minimumY()
    Returns:
      The value on the Y axis of the minimum edge of the box (inclusive)

  - ### maximumY

    @Parameter(order=3) java.math.BigDecimal maximumY()
    Returns:
      The value on the Y axis of the maximum edge of the box (exclusive)

  - ### sizeX

    default java.math.BigDecimal sizeX()
    Specified by:
      `sizeX` in interface `AreaSizeValuesBDType`
    Returns:
      The size of the area on the X axis

  - ### sizeY

    default java.math.BigDecimal sizeY()
    Specified by:
      `sizeY` in interface `AreaSizeValuesBDType`
    Returns:
      The size of the area on the Y axis